Package org.apache.tools.ant.filters

## Class Native2AsciiFilter

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter
    - - org.apache.tools.ant.filters.Native2AsciiFilter

- All Implemented Interfaces:
    `java.lang.Cloneable`, `ChainableReader`, `TokenFilter.Filter`

      public class Native2AsciiFilter
      extends TokenFilter.ChainableReaderFilter

  A filter that performs translations from characters to their Unicode-escape sequences and vice-versa.
  Since:
    Ant 1.9.8

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Native2AsciiFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `filter​(java.lang.String line)` | filter and/of modify a string
    `void` | `setReverse​(boolean reverse)` | Flag the conversion to run in the reverse sense, that is Ascii to Native encoding.

    - ### Methods inherited from class org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter

      `chain, setByLine`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Native2AsciiFilter

          public Native2AsciiFilter()

  - ### Method Detail

    - #### setReverse

          public void setReverse​(boolean reverse)

      Flag the conversion to run in the reverse sense, that is Ascii to Native encoding.
      Parameters:
        `reverse` - True if the conversion is to be reversed, otherwise false;

    - #### filter

          public java.lang.String filter​(java.lang.String line)

      Description copied from interface: `TokenFilter.Filter`
      filter and/of modify a string
      Parameters:
        `line` - the string to filter
      Returns:
        the modified string or null if the string did not pass the filter